Set a scope's consent mode and rules (domainId '' = org default)
PUT
/v1/compliance/consent-config
const url = 'https://api.monita.ai/v1/compliance/consent-config';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"domainId":"","mode":"auto","rules":[],"note":"example","cmpExpected":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.monita.ai/v1/compliance/consent-config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "domainId": "", "mode": "auto", "rules": [], "note": "example", "cmpExpected": true }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
domainId
string
mode
required
string
rules
Array<object>
object
match
required
string
pattern
required
string
verdict
required
string
label
string
categories
Array<string>
note
string
cmpExpected
boolean
Responses
Section titled “Responses”Saved
Media typeapplication/json
object
ok
required
boolean
Examplegenerated
{ "ok": true}Invalid rules
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}